This URL gets a single outbound exception rule.
Resource URL
GET /domain/<domainId>/outboundsslexceptions/<ruleId>
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| The id of the domain | Number | Yes |
| The id of the rule | Number | Yes |
Payload Request Parameters: None
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| ID of the outbound SSL | Number |
| State of the rule (Enabled/Disabled) | String |
| Name of the rule | String |
| List of resources on which the rule has to be assigned | Array |
| List of the objects in the source network rule | Object |
| List of the objects in the destination network rule | Object |
| List of the objects in the target host names rule | Array |
| List of URL categories | Array |
| Time of the last update | String |
| User under which the last update occurred | String |
| Comment | String |
| Domain | String |
Details of object in resource:
Field Name | Description | Data Type |
|---|---|---|
| ID of the resource | Number |
| Name of the resource | String |
| Indicates the type of interface on which the Ignore Rule is created. The possible values include:
| Number |
| Id of the Sensor | Number |
Details of the attacker:
Field Name | Description | Data Type |
|---|---|---|
| Attacker rule objects on which the ignore rules will be applied. | Array of string |
Details of the target:
Field Name | Description | Data Type |
|---|---|---|
| Target rule objects on which the ignore rules will be applied. | Array of string |
Example
Payload
None
Request
GET https://<NSM_IP>/sdkapi/domain/0/outboundsslexceptons/101
Response
{
"id":101,"state":"ENABLED","name":"test","attack":null,"resource":[],"attacker":{"AttackerEndPoint":["FireWall_IPv4_Dst_15_1_7_251"],
"AttackerPort":"ANY","AttackerPortNumber":""},"target":{"TargetEndPoint":["FireWall_IPv4_Dst_15_1_7_251"],"TargetPort":"ANY",
"TargetPortNumber":""},"targetHostName":[],"targetUrlCategories":["Entertainment"],"lastUpdatedByTime":1519627703000,
"lastUpdatedByUserName":"admin","comment":"test","ownerDomain":"My Company"
}Error Information
Following error codes are returned by this URL:
S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 500 | 1001 | Internal server error |
2 | 404 | 1408 | Invalid rule id or provided rule id is not visible to this domain |